io_setup(3)

NAME
io_setup - create an asynchronous I/O context

LIBRARY
Asynchronous I/O library (libaio, -laio)

SYNOPSIS
#include <libaio.h>

long io_setup(unsigned int n, io_context_t *ctx_idp);

DESCRIPTION
io_setup() creates an asynchronous I/O context suitable for concurrently processing n operations.

RETURN VALUE
On success, io_setup() returns 0. On error, a negative error code is returned to indicate the error.

ERRORS
See io_setup(2).

STANDARDS
libaio.

HISTORY
libaio.

SEE ALSO
io_setup(2), io(3), aio(7)